gnutls_hex_encode2(3)

NAME
gnutls_hex_encode2 - API function

SYNOPSIS
#include <gnutls/gnutls.h>

int gnutls_hex_encode2(const gnutls_datum_t * data, gnutls_datum_t * result);

ARGUMENTS

const gnutls_datum_t * data
    contain the raw data

gnutls_datum_t * result
    the result in an allocated string

DESCRIPTION
This function will convert the given data to printable data, using the hex encoding, as used in the PSK password files.

Note that the size of the result does NOT include the null terminator.

RETURNS
GNUTLS_E_SUCCESS on success, otherwise a negative error code.

REPORTING BUGS
Report bugs to <bugs@gnutls.org>.
Home page: https://www.gnutls.org

COPYRIGHT
Copyright © 2001-2023 Free Software Foundation, Inc., and others.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the /usr/share/doc/gnutls/ directory does not contain the HTML form visit

https://www.gnutls.org/manual/